%define oname	aTunes

Name:		atunes
Version:	3.1.0
Release:	%mkrel 1
Summary:	A full-featured audio player and manager
Summary(fr_FR):	Un lecteur et gestionnaire audio complet
Group:		Sound/Players
License:	GPLv2
URL:		http://www.atunes.org/
# For original tarball: http://sourceforge.net/projects/%%{name}/files/%%{name}/aTunes 3.1.0/%%{name}-%%{version}-bin.tar.gz/download
Source:		%{name}-%{version}-bin.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	java-rpmbuild
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	unzip

Requires:	java-1.7.0-openjdk  
Requires:	mplayer 
Requires:	vorbis-tools 
Requires:	flac 
Requires:	cdrkit-icedax 
Requires:	xine-plugins

Obsoletes:	atunes < %{version}

%description
aTunes is a full-featured audio player and manager, developed in 
Java programming language, so it can be executed on different
platforms: Windows, Linux and Unix-like systems, ...
Currently plays MP3, Ogg, WMA, WAV, FLAC, MP4 and radio streaming,
allowing users to easily edit tags, organize music and rip Audio CDs.

%description -l fr_FR
aTunes est un lecteur et gestionnaire audio complet, développé en
langage de programmation Java, il peut donc être exécuté sur 
différentes plates-formes: Windows, Linux et les systèmes Unix, ...
Joue actuellement MP3, Ogg, WMA, WAV, FLAC, MP4 et la radio streaming,
permettant aux utilisateurs de modifier facilement les étiquettes, 
organiser la musique et ripper les CD audio.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
rm -rf win_tools
rm -f %{oname}.exe

# .jar-repertory
install -Dm0644 %{oname}.jar %{buildroot}%{_datadir}/%{name}/%{oname}.jar

mkdir -p %{buildroot}%{_datadir}/%{name}/lib
install -Dm0644 lib/*.jar %{buildroot}%{_datadir}/%{name}/lib
# library
mkdir -p %{buildroot}%{_usr}/lib
install -Dm0655 *.so %{buildroot}%{_usr}/lib/
# binary
install -d %{buildroot}%{_bindir}
# usr-share
install -d %{buildroot}%{_datadir}/%{name}
cp -f %{oname}.sh %{buildroot}%{_datadir}/%{name}/
cp -rf settings %{buildroot}%{_datadir}/%{name}/
# icons
install -d %{buildroot}%{_datadir}/pixmaps
cp -f %{name}.png %{buildroot}%{_datadir}/pixmaps/
cp -f splash.gif %{buildroot}%{_datadir}/%{name}/
# ico-repertory
install -d %{buildroot}%{_datadir}/%{name}/ico
cp -f %{oname}.ico %{buildroot}%{_datadir}/%{name}/ico
cp -f uninstall.ico %{buildroot}%{_datadir}/%{name}/ico

#xdg menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=aTunes
Comment=Full featured audio player and manager
Comment[fr]=Un lecteur et gestionnaire audio complet
GenericName=Audio player
GenericName[fr]=Lecteur audio
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
MimeType=audio/x-mp3;audio/x-ogg;application/x-ogg;audio/x-mpegurl;audio/x-wav;audio/x-scpls;audio/mpegurl;audio/mp3;audio/mpeg;audio/x-mpeg;application/x-flac;audio/x-flac;
Categories=Audio;Player;X-Mageia-Multimedia-Sound;AudioVideo;Java;X-Mageia-CrossDesktop;
EOF


#make Excutable
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd /usr/share/%{name}/
sh ./aTunes.sh "$@"
EOF

chmod 0755 %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_datadir}/%{name}/%{oname}.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc changelog.txt license.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_usr}/lib/*.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog

* Wed Jun 05 2013 david.david (MLO Team) <david.david> 3.1.0-1.mga3
+ new version: 3.1.0

* Wed May 01 2013 david.david (MLO Team) <david.david> 3.0.9-1.mga3
+ new version: 3.0.9
- add french language in %%description and %%Summary
- correcting "spec" file

  - FIX: Combo box selection fails with OS X and System Look And Feel
  - FIX: Save playlist sets its name as file name by default

* Sat Apr 13 2013 david.david (MLO Team) <david.david> 3.0.8-1.mga3
+ new version: 3.0.8

  - FIX: Control visible context panels
  - FIX: Improvements in process to delete files
  - FIX: Workaround for mplayer problem with long filenames or including non-english chars
  - Added support for OS X full screen
  
* Sun Apr 07 2013 david.david (MLO Team) <david.david> 3.0.7-1.mga3
+ new version: 3.0.7
 
 - Reduce memory consumption by interning strings read using Kryo
 - All navigator views allow filtering subelements
 - FIX: Disable option to create play list with top tracks when no data available
 - FIX: Generate M3U files with system file separator
 - FIX: Podcast information dialog broken

* Wed Apr 03 2013 david.david (MLO Team) <david.david> 3.0.6-5.mga3
+ Rebuild for Mageia 3 (Core)
- build version: 3.0.6

* Sun Mar 24 2013 david.david (MLO Team) <david.david> 3.0.6-4.mga2
+ Requires java-1.7.0-openjdk
- new version: 3.0.6

 - Updated mplayer binary for Windows
 - Support for playing FLV files (audio only)
 - Improvements in table sort
 - Added basque translation (thanks to Xabier Aramendi)
 - FIX: Window size ignored if window is maximized
 - FIX: Folder filter does not work with child folders
 - FIX: Hide progress slider when fading away
 - FIX: Validate date of tags and discard invalid ones
 
* Mon Feb 25 2013 david.david (MLO Team) <david.david> 3.0.5-1.mga2
+ Package signature
- new version: 3.0.5
 
 - Folder view allows filtering subfolders
 - FIX: Statistics not shown in tables
 - FIX: Avoid cast errors when reading preferences with kryo fails
 - FIX: Error retrieving titles from CD when CD has more tracks than the album information
 - FIX: Drag and drop from navigator
 - FIX: Navigator not immediately updated after import
 - FIX: Store repository folders as list of paths instead of file objects
 - Control+F for advanced search
 
* Mon Jun 25 2012 david.david <david.david> 2.1.0-1.mga2
+ Rebuild package for mga2
- new version: 2.1.0
 
 - requires xine-plugins (Arch.x86_64 or Arch.i586) 
 - requires java-1.6.0-openjdk (java-1.6.0-sun is not available in mga2)